# LTX-2.3 22B Distilled · Audio to Video API

> Distilled audio-to-video na may adjustable na audio, first-image at end-image conditioning strengths

Kinakailangan ang `prompt` at `audio_url`. Tinutukoy ng `audio_strength` (0 hanggang 1) kung mananatiling buo ang input audio o maaaring baguhin, habang kinokontrol ng `image_strength` at `end_image_strength` ang opsyonal na first at last frame larawan. Kasama ang `preprocess_audio`, second-pass distill LoRA scale, at `num_frames` mula 9 hanggang 481.

- Model id: `ltx-2.3-22b/distilled/audio-to-video`
- Made by: Lightricks
- Category: Lipsync & Avatars
- Output: video
- Price per megapixel of your output video: $0.00121 / megapixel of output video (cheapest run $0.002 (2 API credits))
- Run: `POST https://api.doitong.ru/v1/run/ltx-2.3-22b/distilled/audio-to-video`
- Quote: `POST https://api.doitong.ru/v1/quote/ltx-2.3-22b/distilled/audio-to-video`
- Docs page: https://doitong.com/fil/developers/models/ltx-2.3-22b/distilled/audio-to-video

## Pricing

Price: **$0.00121 / megapixel of output video**. Price per megapixel of your output video: the input files are measured before the run (length, resolution, frame rate). The quote measures the same files and is exactly what the run charges.

The full example input below costs $0.269 = 269 API credits (223 MP output video × $0.001205).

Prices are the upstream price in USD, paid from the API balance in API credits (1000 API credits = 1 USD). `POST https://api.doitong.ru/v1/quote/ltx-2.3-22b/distilled/audio-to-video` with the same JSON body returns the exact price for that input; the quote is exactly what a run charges. Invalid input is never charged and failed or canceled requests are refunded automatically.

## Input parameters

Send either the canonical name or the native field name (not both). Canonical names are the same across models.

| Parameter | Canonical name | Type | Required | Default | Allowed values / range | Description |
|---|---|---|---|---|---|---|
| `prompt` |  | string | yes |  |  | Prompt na ginagamit bilang batayan sa pagbuo ng video. |
| `audio_url` | `audio` | string (audio URL) | yes |  |  | URL ng source audio na ginagamit sa pagbuo ng video. |
| `image_url` | `image` | string (image URL) \| null | no |  |  | Opsyonal na URL ng larawan na tumutukoy sa opening frame ng video. |
| `end_image_url` | `end_image` | string (image URL) \| null | no |  |  | URL ng larawan na tumutukoy sa ending frame ng video. |
| `match_audio_length` |  | boolean | no | `true` |  | Toggle ng pagpili ng bilang ng frame: ginagamit ng disabled ang num_frames, habang kinakalkula naman ng enabled ang bilang mula sa FPS at tagal ng audio. |
| `num_frames` |  | integer | no | `121` | 9 – 481 | Bilang ng frame para sa nabuong output. |
| `video_size` |  | object {width, height} \| enum (string) | no | `landscape_16_9` | `auto`, `square_hd`, `square`, `portrait_4_3`, `portrait_16_9`, `landscape_4_3`, `landscape_16_9` | Mga sukat ng video, na may sizing ng input larawan sa pamamagitan ng 'auto' kapag may ibinigay na larawan. |
| `use_multiscale` |  | boolean | no | `true` |  | Toggle ng multi-scale pagbuo para sa mas maayos na coherence at detalye. Kapag True, ginagabayan ng paunang mas maliit na video ang ikalawang pagbuo na ang laki ay katumbas o mas malaki sa hiniling na mga sukat. |
| `fps` |  | number | no | `24` | 1 – 60 | Frame rate ng output na video, na sinusukat sa frames per segundo. |
| `scheduler` |  | enum (string) | no | `ltx2` | `ltx2`, `linear_quadratic`, `beta` | Pagpili ng scheduler. |
| `acceleration` |  | enum (string) | no | `none` | `none`, `regular`, `high`, `full` | Antas ng acceleration na inilapat sa pagproseso. |
| `camera_lora` |  | enum (string) | no | `none` | `dolly_in`, `dolly_out`, `dolly_left`, `dolly_right`, `jib_up`, `jib_down`, `static`, `none` | Pagpili ng Camera LoRA para mas tumpak na makontrol ang galaw sa nabuong video kaysa sa mga prompt lang para sa camera motion. |
| `camera_lora_scale` |  | number | no | `1` | 0 – 1 | Lakas ng Camera LoRA para mas tumpak na makontrol ang galaw sa nabuong video kaysa sa mga prompt lang para sa camera motion. |
| `negative_prompt` |  | string | no | `news broadcast, 3d animation, computer graphics, pc game, console game, video game, cartoon, childish, watermark, logo, text, on screen text, subtitles, titles, signature, slowmo, static` |  | Negative prompt na ginagamit habang bumubuo ng video. |
| `seed` |  | integer \| null | no |  |  | Seed value na nag-i-initialize sa pagbuo ng random number. |
| `enable_prompt_expansion` |  | boolean | no | `true` |  | Kinokontrol kung naka-enable ang prompt expansion. |
| `enable_safety_checker` |  | boolean | no | `true` |  | Kinokontrol kung pinapagana ang safety checking. |
| `video_output_type` |  | enum (string) | no | `X264 (.mp4)` | `X264 (.mp4)`, `VP9 (.webm)`, `PRORES4444 (.mov)`, `GIF (.gif)` | Uri ng output para sa resultang video. |
| `video_quality` |  | enum (string) | no | `high` | `low`, `medium`, `high`, `maximum` | Antas ng kalidad para sa resultang video. |
| `video_write_mode` |  | enum (string) | no | `balanced` | `fast`, `balanced`, `small` | Write mode para sa resultang video. |
| `distill_lora_second_pass_scale` |  | number | no | `0.5` | 0 – 1 | Kontrolin ang scaling ng distill LoRA sa bawat pass pagkatapos ng una. |
| `image_strength` |  | number | no | `1` | 0 – 1 | Lakas ng impluwensya ng larawan sa pagbuo ng video. |
| `end_image_strength` |  | number | no | `1` | 0 – 1 | Kontrolin kung gaano kalaki ang impluwensya ng end larawan sa nabuong video. |
| `audio_strength` |  | number | no | `1` | 0 – 1 | Lakas ng audio conditioning, kung saan ang eksaktong 1.0 ay nagpapanatili sa input nang walang pagbabago. Maaaring baguhin ng modelo ang audio sa mga setting na mas mababa sa 1.0. |
| `preprocess_audio` |  | boolean | no | `true` |  | Kinokontrol kung paunang pinoproseso ang audio bago gamitin para sa conditioning. |

File parameters (`audio`, `image`, `end_image`) take a public `https://` URL, a `data:` URI up to 10 MB, or the `file_url` of an upload from `POST /files`.

## Example input

Required parameters only:

```json
{
  "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
  "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
}
```

A fuller example:

```json
{
  "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
  "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
}
```

## Run it

Set `DOITONG_API_KEY` to a key from https://doitong.com/developers/dashboard#keys. `?wait=20` returns the finished request in the same call when it is ready within 20 seconds; otherwise poll `GET /requests/{id}` (it also accepts `?wait=`), or pass `webhook_url`.

### curl

```bash
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ltx-2.3-22b/distilled/audio-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"
```

### JavaScript

```javascript
const API = "https://api.doitong.ru/v1";
const headers = {
  "Authorization": "Bearer " + process.env.DOITONG_API_KEY,
  "Content-Type": "application/json",
};

// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/ltx-2.3-22b/distilled/audio-to-video?wait=20", {
  method: "POST",
  headers,
  body: JSON.stringify({
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);

// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
  res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
  request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
```

### Python

```python
import os
import requests

API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}

payload = {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
}

# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/ltx-2.3-22b/distilled/audio-to-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
    raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])

# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
    request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
    raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
```

### MCP

The MCP server at `https://api.doitong.ru/v1/mcp` exposes the tools `search_models`, `get_model`, `quote`, `run`, `get_request`, `cancel_request`, `list_requests`, `create_upload` and `get_account`. A `run` call for this model:

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "run",
    "arguments": {
      "model_id": "ltx-2.3-22b/distilled/audio-to-video",
      "input": {
        "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
        "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
      },
      "wait_seconds": 20
    }
  }
}
```

## Response

Every call returns a request object. `status` is one of `queued`, `running`, `succeeded`, `failed`, `canceled`. `outputs` lists the generated files with URLs on our storage (kept forever, or 7 days with `?storage=temporary`; `storage` says which); `output` is the model's own result object with the same URLs.

```json
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ltx-2.3-22b/distilled/audio-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 269,
    "usd": "0.269",
    "charged": 269,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    },
    "seed": 42,
    "prompt": "A woman speaks to the camera"
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
```

### Output fields (`output`)

| Field | Type | Description |
|---|---|---|
| `video` | object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames} | Videong ginawa ng modelo. |
| `seed` | integer | Seed value na ginagamit upang simulan ang pagbuo ng random number. |
| `prompt` | string | Prompt na ginagamit upang gabayan ang pagbuo. |

## Related models

- [LTX-2.3 22B Distilled · Text to Video](https://doitong.com/developers/models/ltx-2.3-22b/distilled/text-to-video.md) (`ltx-2.3-22b/distilled/text-to-video`): $0.00121 / megapixel of output video
- [LTX-2.3 22B Distilled · Text to Video · LoRA](https://doitong.com/developers/models/ltx-2.3-22b/distilled/text-to-video/lora.md) (`ltx-2.3-22b/distilled/text-to-video/lora`): $0.00141 / megapixel of output video
- [LTX-2.3 22B Distilled · Image to Video](https://doitong.com/developers/models/ltx-2.3-22b/distilled/image-to-video.md) (`ltx-2.3-22b/distilled/image-to-video`): $0.00121 / megapixel of output video
- [LTX-2.3 22B Distilled · Image to Video · LoRA](https://doitong.com/developers/models/ltx-2.3-22b/distilled/image-to-video/lora.md) (`ltx-2.3-22b/distilled/image-to-video/lora`): $0.00141 / megapixel of output video
- [LTX-2.3 22B Distilled · Reference Video to Video](https://doitong.com/developers/models/ltx-2.3-22b/distilled/reference-video-to-video.md) (`ltx-2.3-22b/distilled/reference-video-to-video`): $0.00121 / megapixel of output video
- [LTX-2.3 22B Distilled · Reference Video to Video · LoRA](https://doitong.com/developers/models/ltx-2.3-22b/distilled/reference-video-to-video/lora.md) (`ltx-2.3-22b/distilled/reference-video-to-video/lora`): $0.00141 / megapixel of output video
- [LTX-2.3 22B Distilled · Video to Video](https://doitong.com/developers/models/ltx-2.3-22b/distilled/video-to-video.md) (`ltx-2.3-22b/distilled/video-to-video`): $0.00121 / megapixel of output video
- [LTX-2.3 22B Distilled · Video to Video · LoRA](https://doitong.com/developers/models/ltx-2.3-22b/distilled/video-to-video/lora.md) (`ltx-2.3-22b/distilled/video-to-video/lora`): $0.00141 / megapixel of output video

## Links

- HTML page: https://doitong.com/developers/models/ltx-2.3-22b/distilled/audio-to-video
- All models and guides for AI agents: https://doitong.com/developers/llms.txt
- OpenAPI 3.1 with this model's typed request body: https://doitong.com/developers/openapi.json?model=ltx-2.3-22b/distilled/audio-to-video
- Errors: https://doitong.com/developers/docs/errors
- Model details as JSON: https://api.doitong.ru/v1/models/ltx-2.3-22b/distilled/audio-to-video
